CUPS CGI接口远程堆溢出漏洞

2008-03-20T00:00:00
ID SSV:3058
Type seebug
Reporter Root
Modified 2008-03-20T00:00:00

Description

BUGTRAQ ID: 28307 CVE(CAN) ID: CVE-2008-0047

Common Unix Printing System (CUPS)是一款通用Unix打印系统,是Unix环境下的跨平台打印解决方案,基于Internet打印协议,提供大多数PostScript和raster打印机服务。

CUPS的CGI接口处理畸形的用户请求时存在堆缓冲区溢出漏洞,远程攻击者可能利用此漏洞控制服务器。

CUPS在TCP 631端口上监听请求,这个接口允许访问一些用于管理CUPS和提供打印任务信息的CGI应用。如果远程攻击者向这个端口提交了恶意请求的话,就可能触发堆溢出,导致执行任意指令。

如果要远程利用这个漏洞,目标主机必须在网络中共享打印机,否则CUPS仅监听于本地接口,而本地利用这个漏洞只能导致权限提升。

Apple Mac OS X 10.5.2 Apple MacOS X Server 10.5.2 Easy Software Products CUPS 1.3.5 临时解决方法:

  • 禁止远程共享打印机。

厂商补丁:

Apple

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

<a href=http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=18157&cat=57&platform=osx&method=sa/SecUpd2008-002.dmg target=_blank>http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=18157&cat=57&platform=osx&method=sa/SecUpd2008-002.dmg</a>